Executions

List terminal err-eval failure records for an execution

Required API-key scope: executions:read.

get /executions/{execution_object_id}/failures

Authorizations

x-api-key string header required

Talus API Key in the form key_id.secret. The API also accepts Authorization: ApiKey <key_id.secret>, but the docs UI is configured to send x-api-key.

Path Parameters

execution_object_id string required

Execution object id

Query Parameters

page_token integer | null

Opaque token representing the page offset. Omit for the first page.

page_size integer | null

Maximum number of items to return. Defaults to 20.

200application/json

Paginated list of failure records

items object[] required
created_at string required
duplicate boolean required
err_eval_hash string required
failure_class string required
id integer<int32> required
leader string required
outcome string | null
reason string required
tx_digest string required
vertex_iteration integer | null
vertex_name string required
walk_index integer<int64> required
metadata object required

Pagination metadata included in every listing response.

next_token integer | null

Token to pass as page_token to retrieve the next page. null means there are no more pages.

total_items integer<int64> required

Total number of items across all pages.

404

Execution was not found

500

Internal server error